tt_objid_equal(library call)

NAME
tt_objid_equal — test whether two objids are equal

SYNOPSIS

#include &<Tt/tt_c.h>
int tt_objid_equal(
const char *objid1,
const char *objid2);

DESCRIPTION

The tt_objid_equal function tests whether two objids are equal.

The tt_objid_equal(3) function is recommended rather than strcmp(3) for this purpose because the tt_objid_equal(3) function returns 1 even in the case where one objid is a forwarding pointer for the other.

The objid1 argument is the identifier of the first object involved in this operation. The objid2 argument is the identifier of the second object involved in this operation.

RETURN VALUE

Upon successful completion, the tt_objid_equal function returns an integer that indicates whether the objids are equal. The application can use tt_int_error(3) to extract one of the following Tt_status values from the returned integer:

0   The objid1 and objid2 objects are not equal.

1   The objid1 and objid2 objects are equal.

The application can use tt_int_error(3) to determine if the integer is valid. The tt_objid_equal function returns one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_OBJID
    The objid passed to the ToolTalk service does not reference an existing object spec.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_int_error(3).